Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 725676

Summary: sys-devel/gcc-6.5.0-r1 - .../work/gcc-6.5.0/gcc/config/pa/pa.c:10155:2: error: extended character '<C2><A0>' is not valid in an identifier
Product: Gentoo Linux Reporter: Jeroen Roovers (RETIRED) <jer>
Component: Current packagesAssignee: Gentoo Toolchain Maintainers <toolchain>
Status: RESOLVED FIXED    
Severity: normal CC: hppa
Priority: Normal Keywords: PATCH
Version: unspecified   
Hardware: HPPA   
OS: Linux   
URL: https://gcc.gnu.org/git/?p=gcc.git;a=commit;h=bd7a5c5dc082707dd62083514bbb88c6f78e5bdb
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: sys-devel:gcc-6.5.0-r1:20200528-032552.log.xz
gcc-6.5.0-config-pa-nbsp.patch
gcc-6.5.0-config-pa-nbsp.patch

Description Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 04:46:11 UTC
Created attachment 642134 [details]
sys-devel:gcc-6.5.0-r1:20200528-032552.log.xz

hppa2.0-unknown-linux-gnu-g++ -std=gnu++98 -fno-PIE -c -fno-PIE     -DIN_GCC -fPIC    -fno-exceptions -fno-rtti -fasynchronous-unwind-tables -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wno-format -Wmissing-format-attribute -Woverloaded-virtual -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings   -DHAVE_CONFIG_H -I. -I. -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/. -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/../include -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/../libcpp/include  -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/../libdecnumber -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/../libdecnumber/dpd -I../libdecnumber -I/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/../libbacktrace   -o pa.o -MT pa.o -MMD -MP -MF ./.deps/pa.TPo /var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c
In file included from /var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c:34:
/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/recog.h:355:5: warning: this use of "defined" may not be portable [8;;https://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html#index-Wexpansion-to-defined^G-Wexpansion-to-defined8;;^G]
  355 | #if HAVE_DESIGNATED_UNION_INITIALIZERS
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c:10155:2: error: extended character   is not valid in an identifier
10155 |  <C2><A0>emit_library_call (gen_rtx_SYMBOL_REF (Pmode, "__enable_execute_stack"),
      |  ^
/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c:10156:3: error: extended character   is not valid in an identifier
10156 |   <C2><A0>    LCT_NORMAL, VOIDmode, 1, XEXP (m_tramp, 0), Pmode);
      |   ^
/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c:10156:3: error: extended character   is not valid in an identifier
/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c:10156:3: error: extended character   is not valid in an identifier
/var/tmp/portage/sys-devel/gcc-6.5.0-r1/work/gcc-6.5.0/gcc/config/pa/pa.c:10156:3: error: extended character   is not valid in an identifier
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 04:49:16 UTC
[ebuild   R    ] sys-devel/gcc-6.5.0-r1:6.5.0::gentoo  USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-ada) (-altivec) (-awt) (-cilk) -debug -doc (-fixed-point) (-gcj) (-go) -graphite (-hardened) (-libssp) (-mpx) (-multilib) -pgo (-ssp) -test -vanilla (-vtv)" 0 KiB

Thu 28 May 06:48:42 CEST 2020
emerge --info =sys-devel/gcc-6.5.0-r1
Portage 2.3.99 (python 3.6.10-final-0, default/linux/hppa/17.0, gcc-10.1.0, glibc-2.31-r3, 5.7.0-rc6-JeR-00010-g642b151f45dd parisc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.7.0-rc6-JeR-00010-g642b151f45dd-parisc64-PA8800_-Mako-with-gentoo-2.7
KiB Mem:     8213044 total,   1048008 free
KiB Swap:    2101676 total,   2095080 free
Timestamp of repository gentoo: Thu, 28 May 2020 02:30:01 +0000
Head commit of repository gentoo: 2450abc1e7a2242f648eb9e16e75037ba63e7de5
sh bash 5.0_p17
ld GNU ld (Gentoo 2.34 p1) 2.34.0
distcc[9431] (dcc_mkdir) ERROR: mkdir '/dev/shm/distcc/root/state' failed: No such file or directory [disabled]
ccache version 3.7.9 [disabled]
app-shells/bash:          5.0_p17::gentoo
dev-lang/perl:            5.30.2::gentoo
dev-lang/python:          2.7.18::gentoo, 3.5.9::gentoo, 3.6.10-r2::gentoo, 3.7.7-r2::gentoo, 3.8.3::gentoo, 3.9.0_alpha6::gentoo
dev-util/ccache:          3.7.9::gentoo
dev-util/cmake:           3.17.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.9.6-r3::gentoo, 1.11.6-r3::gentoo, 1.12.6::gentoo, 1.13.4-r2::gentoo, 1.14.1::gentoo, 1.15.1-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo, 2.29::gentoo, 2.29.1-r1::gentoo, 2.30-r3::gentoo, 2.31.1-r4::gentoo, 2.32-r1::gentoo, 2.33.1-r1::gentoo, 2.34::gentoo
sys-devel/gcc:            6.5.0-r1::gentoo, 7.3.0-r6::gentoo, 8.2.0-r6::gentoo, 8.3.0-r3::gentoo, 9.2.0-r4::gentoo, 9.3.0::gentoo, 10.1.0::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r3::gentoo
Repositories:

gentoo
    location: /aches/gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 

JeR
    location: /aches/gentoo/local
    masters: gentoo
    priority: -100

ACCEPT_KEYWORDS="hppa ~hppa"
ACCEPT_LICENSE="*"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -fno-common -Wno-comment"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib/distcc/bin /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/apache2-php7.2/ext-active/ /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
DISTDIR="/aches/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --autounmask=n --keep-going --ignore-built-slot-operator-deps=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news notitles parallel-fetch preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
GENTOO_MIRRORS=" 	https://ftp.snt.utwente.nl/pub/os/linux/gentoo 	https://mirror.leaseweb.com/gentoo/ 	https://mirror.netcologne.de/gentoo/ "
LANG="en_GB.utf8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--no-keep-memory"
LINGUAS=" 	de en es fa fr it ja lt nl sv tr zh "
MAKEOPTS="-j3"
PKGDIR="/aches/gentoo/packages/karsten"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="256-color X acl alsa amr anacron apng argyllcms audit bash-completion beautifulsoup3 berkdb bfio big-endian bittorrent boost botan bzip2 cairo canberra caps cli coverage crossdev crypt cups custom-cflags cxx dane dbus declarative dirac directfb distinct-l dlz dot dri elogind emacs eselect-ldso exceptions exif expat fbcon ffmpeg filecaps firefox firmware foomaticdb fortran frontend-optional g-sorcery gbm gdbm geoip geoloc glep gles1 gles2 gost gpg gpm gsm gstreamer gtk gudev guile hddtemp hppa http2 hwdb iconv icu idn imlib inotify introspection ipv6 jadetex javascript jingle jit jpeg jpeg2k json kdrive kmod ladspa lasi launch-frontend lensfun libcaca libcanberra libevent libidn2 libopts libsoxr libusb libwww lm-sensors lm_sensors lua lzma lzo mad mng mod modplug mp3 mtp multislot multitarget munge nagios nas natspec ncurses netlink nfs nghttp3 nls nptl objc objc++ objc-gc offensive ofono-headset openexr opengl openmp openrc openvg opus oqgraph osmesa oss pam pcre pcre16 php pic pie pkcs11 png pnm policykit python qt qt3support qt4 raw readline realtime regression-test rtmp rubytests samba sbc schroedinger sctp seccomp smi snappy socks5 speex spell spidermonkey split-usr sqlite ssl svg tcl tcpd tga theora threads tiff tk tokyocabinet truetype unicode unwind v4l vala vim-syntax vorbis vpx wcwidth x264 x265 xattr xcb xft xhtml xkb xvfb xvid zlib zstd" ADA_TARGET="gnat_2018" ALSA_CARDS="ad1889 usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa tek4957 tslib ur98 virtualbox libinput void" KERNEL="linux" L10N="de en es fa fr it ja lt nl sv tr zh" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_6 python3_7" RUBY_TARGETS="ruby24 ruby25 ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="stifb dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-devel/gcc-6.5.0-r1::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-ada) (-altivec) (-awt) (-cilk) -debug -doc (-fixed-point) (-gcj) (-go) -graphite (-hardened) (-libssp) (-mpx) (-multilib) -pgo (-ssp) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -O2"
FEATURES="buildpkg binpkg-logs compressdebug preserve-libs distlocks fixlafiles strict binpkg-docompress merge-sync binpkg-multi-instance ipc-sandbox unmerge-logs splitdebug protect-owned binpkg-dostrip unmerge-orphans sandbox assume-digests unknown-features-warn xattr ebuild-locks userfetch news network-sandbox parallel-fetch multilib-strict metadata-transfer qa-unresolved-soname-deps usersync sfperms userpriv usersandbox config-protect-if-modified test-fail-continue notitles"
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 05:19:19 UTC
Created attachment 642138 [details, diff]
gcc-6.5.0-config-pa-nbsp.patch
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 05:24:08 UTC
Created attachment 642140 [details, diff]
gcc-6.5.0-config-pa-nbsp.patch
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 05:41:46 UTC
commit bd7a5c5dc082707dd62083514bbb88c6f78e5bdb
Author: John David Anglin <danglin@gcc.gnu.org>
Date:   Fri Sep 20 21:47:56 2019 +0000

    pa.c (pa_trampoline_init): Remove spurious extended character.

            * config/pa/pa.c (pa_trampoline_init): Remove spurious extended
            character.

    From-SVN: r276007
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 05:45:04 UTC
Fixes 017d38f508a019b173b909dd3314f0e1d52fe1bc[0]

[0] https://gcc.gnu.org/git/?p=gcc.git;a=commit;h=017d38f508a019b173b909dd3314f0e1d52fe1bc
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-28 05:53:29 UTC
Looks like only 9.2.0-r4 already includes this patch as 37_all_whitespace-pa.patch.
Comment 7 Sergei Trofimovich gentoo-dev 2020-05-28 08:23:04 UTC
Yeah, worth backporting to older versions as well.
Comment 8 Larry the Git Cow gentoo-dev 2020-05-29 07:54:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=36520630857a9e125c0f4c25c7f03a02ee06d8ab

commit 36520630857a9e125c0f4c25c7f03a02ee06d8ab
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-29 07:53:56 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-29 07:53:56 +0000

    8.3.0: fix libcpp ar detection, backport whitespace change
    
    Reported-by: Agostino Sarubbo
    Bug: https://bugs.gentoo.org/718004
    Bug: https://gcc.gnu.org/PR94657
    Reported-by: Jeroen Roovers
    Bug: https://bugs.gentoo.org/725676
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 8.3.0/gentoo/35_all_libcpp-ar.patch     | 143 ++++++++++++++++++++++++++++++++
 8.3.0/gentoo/36_all_whitespace-pa.patch |  27 ++++++
 8.3.0/gentoo/README.history             |   4 +
 3 files changed, 174 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2020-05-29 18:17:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=9076212373bfaed5b0603a6670dd92b6b7deb861

commit 9076212373bfaed5b0603a6670dd92b6b7deb861
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-29 18:17:18 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-29 18:17:18 +0000

    6.5.0: fix libcpp ar detection, backport whitespace change
    
    Reported-by: Agostino Sarubbo
    Bug: https://bugs.gentoo.org/718004
    Bug: https://gcc.gnu.org/PR94657
    Reported-by: Jeroen Roovers
    Bug: https://bugs.gentoo.org/725676
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 6.5.0/gentoo/26_all_libcpp-ar.patch     | 143 ++++++++++++++++++++++++++++++++
 6.5.0/gentoo/27_all_whitespace-pa.patch |  28 +++++++
 6.5.0/gentoo/README.history             |   4 +
 3 files changed, 175 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2020-05-29 21:27:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=eea76ed39d12aea368fa1d0ae9429d5a623c7a71

commit eea76ed39d12aea368fa1d0ae9429d5a623c7a71
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-29 21:22:22 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-29 21:22:22 +0000

    4.9.4: cut 2 patchset
    
    Two new patches:
    + 102_all_ustat-sparc.patch: tweak asan for moder glibc
    + 103_all_whitespace-pa.patch: backport whitespace change
    
    Reported-by: Jeroen Roovers
    Bug: https://bugs.gentoo.org/725676
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 4.9.4/gentoo/README.history | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=aa9c51332bdf9ffad64ef02bcab3cc38205b7f46

commit aa9c51332bdf9ffad64ef02bcab3cc38205b7f46
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-29 20:59:12 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-29 20:59:12 +0000

    4.9.4: backport whitespace change
    
    Reported-by: Jeroen Roovers
    Bug: https://bugs.gentoo.org/725676
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 4.9.4/gentoo/103_all_whitespace-pa.patch | 28 ++++++++++++++++++++++++++++
 4.9.4/gentoo/README.history              |  1 +
 2 files changed, 29 insertions(+)

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=ea14fd9ff6024eb1611f4b43cbf2a7f844cac0ab

commit ea14fd9ff6024eb1611f4b43cbf2a7f844cac0ab
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-29 18:34:31 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-29 18:34:31 +0000

    5.5.0: fix libcpp ar detection, backport whitespace change
    
    Reported-by: Agostino Sarubbo
    Bug: https://bugs.gentoo.org/718004
    Bug: https://gcc.gnu.org/PR94657
    Reported-by: Jeroen Roovers
    Bug: https://bugs.gentoo.org/725676
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 5.5.0/gentoo/38_all_libcpp-ar.patch     | 143 ++++++++++++++++++++++++++++++++
 5.5.0/gentoo/39_all_whitespace-pa.patch |  28 +++++++
 5.5.0/gentoo/README.history             |   4 +
 3 files changed, 175 insertions(+)
Comment 11 Larry the Git Cow gentoo-dev 2020-05-29 21:27:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b96298f51541b9b7968e756fa8b879b40a80dc8

commit 9b96298f51541b9b7968e756fa8b879b40a80dc8
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-29 21:27:01 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-29 21:27:34 +0000

    sys-devel/gcc: 4.9.4: cut 2 patchset
    
    Two new patches:
    + 102_all_ustat-sparc.patch: tweak asan for moder glibc
    + 103_all_whitespace-pa.patch: backport whitespace change
    
    Reported-by: Jeroen Roovers
    Bug: https://bugs.gentoo.org/725676
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-devel/gcc/Manifest            | 2 +-
 sys-devel/gcc/gcc-4.9.4-r1.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 12 Sergei Trofimovich gentoo-dev 2020-05-29 21:30:47 UTC
Should be fixed in ~arch in all gcc branches.

Thank you!